> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# List V.A.T. rates

> List V.A.T. rates.



## OpenAPI

````yaml /openapi-specs/lucca-invoices.yaml get /cleemy-procurement/taxes/api/rates
openapi: 3.1.0
info:
  title: Lucca.Invoices
  version: '1.0'
  description: |
    Welcome on the documentation for the Lucca Invoices API.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: Purchases
    description: Purchases.
  - name: Cost-Centers
    description: Cost-Centers.
  - name: Approval
    description: Approval.
  - name: VAT
    description: VAT Rates.
  - name: Booked-Documents
    description: Booked-Documents.
  - name: Suppliers
    description: Suppliers.
  - name: Natures
    description: Natures.
  - name: Invoices
    description: Invoices.
  - name: Inbox
    description: Inbox.
  - name: Documents
    description: Documents.
paths:
  /cleemy-procurement/taxes/api/rates:
    parameters:
      - $ref: '#/components/parameters/Authorization'
    get:
      tags:
        - VAT
      summary: List V.A.T. rates
      description: List V.A.T. rates.
      operationId: get-vat-rates
      parameters:
        - name: date
          required: true
          in: query
          description: >-
            VAT rate may change over time. Date of the day VAT rates were
            applicable.
          schema:
            type: string
            format: date
            examples:
              - '2025-01-01'
        - name: territoryId
          required: true
          in: query
          description: Territory over which the VAT rates apply.
          schema:
            type: string
            examples:
              - FR
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/vat-rates'
              examples:
                rates:
                  $ref: '#/components/examples/vat-rates.get'
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
  schemas:
    vat-rates:
      title: VAT rates
      description: VAT rates
      type: array
      items:
        type: object
        properties:
          id:
            type: integer
            format: int32
          percentage:
            type: number
            format: double
          rateType:
            type: object
            properties:
              id:
                type: integer
                format: int32
              name:
                type:
                  - string
                  - 'null'
              territoryId:
                type:
                  - string
                  - 'null'
              recoveryRules:
                type: array
                items:
                  type:
                    - object
                    - 'null'
                  properties:
                    costFamilyId:
                      type: integer
                      format: int32
                    coefficient:
                      type: integer
                      format: double
  examples:
    vat-rates.get:
      summary: GET VAT rate response example.
      description: GET VAT rate response example.
      value:
        - id: 1
          percentage: 0.2
          rateType:
            id: 45
            name: Normal
            territoryId: FR
            recoveryRules:
              - costFamilyId: 1
                coefficient: 0
              - costFamilyId: 2
                coefficient: 0
              - costFamilyId: 7
                coefficient: 0

````